<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">方巾</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="方巾纸"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search>
                    <option value="1">15克木浆纸</option>
                </select>
            </div>
            <p>
                尺寸
            </p>
            <div class="layui-form-item">
                <select name="size" class="layui-form-select" lay-filter="pcount_filter">
                    <option value="22*22">22*22cm</option>
                    <option value="23*23">23*23cm</option>
                    <option value="27*27">27*27cm</option>
                </select>
            </div>
            <span style="font-size: 14px; color: red">单色/双色：5000/箱   彩色：500/箱</span>
            <div class="layui-form-item">
                <input type="radio" name="shen_color" lay-filter="colorType" title="单色" value="单色" checked>
                <span>
                    <input type="radio" name="shen_color" lay-filter="colorType" title="双色" value="双色">
                </span>
                <span>
                    <input type="radio" name="shen_color" lay-filter="colorType" title="彩色" value="彩色">
                </span>
            </div>
            <p>
                印刷颜色
            </p>
            <div class="layui-form-item">
                <select id="colorS" name="craft" class="layui-form-select">
                    <option value="黑色">黑色</option>
                    <option value="咖啡色">咖啡色</option>
                    <option value="浅绿色">浅绿色</option>
                    <option value="深绿色">深绿色</option>
                    <option value="蓝色">蓝色</option>
                    <option value="橘色">橘色</option>
                    <option value="黄色">黄色</option>
                    <option value="红色">红色</option>
                </select>
            </div>
            <div class="layui-form-item" style="display: none">
                <select id="colorT" name="craft" class="layui-form-select" disabled>
                    <option value="黑色">黑色</option>
                    <option value="咖啡色">咖啡色</option>
                    <option value="浅绿色">浅绿色</option>
                    <option value="深绿色">深绿色</option>
                    <option value="蓝色">蓝色</option>
                    <option value="橘色">橘色</option>
                    <option value="黄色">黄色</option>
                    <option value="红色">红色</option>
                </select>
            </div>
            <p>
                数量(箱)
            </p>
            <div class="layui-form-item">
                <input type="text" name="count" id="count" class="layui-input">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block">
                    印面工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked readonly>
                </div>
                <div class="layui-input-block">
                    裁切工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="方形" title="方形" checked readonly>
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;


        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        const carft_list1 = ["单面", "双面"];

        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });
        form.on('select(pcount_filter)', function (data) {
            $("input[name='shen_color'][value='单色']").click();
            $("input[name='shen_color'][value='双色']").parent().show();
            $("input[name='shen_color'][value='双色']").attr("disabled", false);
            $("input[name='shen_color'][value='彩色']").parent().show();
            $("input[name='shen_color'][value='彩色']").attr("disabled", false);
            $("#colorT").parent().hide();
            $("#colorT").attr("disabled", true)
            if (data.value == '23*23') {
                $("input[name='shen_color'][value='双色']").parent().hide();
                $("input[name='shen_color'][value='双色']").attr("disabled", true);
                $("input[name='shen_color'][value='彩色']").parent().hide();
                $("input[name='shen_color'][value='彩色']").attr("disabled", true);
            }
            form.render();
        })
        form.on("radio(colorType)", function (data) {
            $("#colorT").parent().hide();
            $("#colorT").attr("disabled", true)
            let html = `<option value="黑色">黑色</option>
                    <option value="咖啡色">咖啡色</option>
                    <option value="浅绿色">浅绿色</option>
                    <option value="深绿色">深绿色</option>
                    <option value="蓝色">蓝色</option>
                    <option value="橘色">橘色</option>
                    <option value="黄色">黄色</option>
                    <option value="红色">红色</option>`;
            $("#colorS").empty().append(html);
            if (data.value == '双色') {
                $("#colorT").parent().show();
                $("#colorT").attr("disabled", false)
            }
            if (data.value == "彩色") {
                html = `<option value="彩色">彩色</option>`;
                $("#colorS").empty().append(html);
            }
            form.render();
        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            $(data.elem).prop("checked", true);
            layer.msg("工艺不能取消", {offset: ['300px', '300px']}, function () {
            });
            form.render();
            return false;
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("select[name='size'] option:selected").val();
            var count = $("#count").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];
            if (size == "") {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $("select[name='craft']").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    craft.push($(this).find("option:selected").val());

                }
            });
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {

                    craft.push($(this).val());
                }
            });

            const carft1 = carft_list1.filter(item => craft.includes(item));
            if (carft1.length == 0) {
                layer.msg("请选择印面工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (size == "23*23") {
                if (count < 3) {
                    layer.msg("23*23尺寸3箱起做", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (size == "27*27") {
                if (count < 5) {
                    layer.msg("23*23尺寸5箱起做", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            let colorType = $("input[name='shen_color']:checked").val();

            if (colorType == "双色" && count < 5) {
                layer.msg("双色5箱起做", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '方巾 - ' + kind + ' - ' + size + ' CM (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "箱，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "箱，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>